# H323CodecPluginNonStandardAudioCapability Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for H323CodecPluginNonStandardAudioCapability:

[legend]
Collaboration diagram for H323CodecPluginNonStandardAudioCapability:
[legend]

## Public Member Functions

| H323CodecPluginNonStandardAudioCapability (const PluginCodec_Definition *codecDefn, const OpalMediaFormat &mediaFormat, H323NonStandardCapabilityInfo::CompareFuncType compareFunc, const unsigned char *data, unsigned dataLen)
| H323CodecPluginNonStandardAudioCapability (const PluginCodec_Definition *codecDefn, const OpalMediaFormat &mediaFormat, const unsigned char *data, unsigned dataLen)
virtual PObject * | Clone () const
virtual PString | GetFormatName () const

## Constructor & Destructor Documentation

H323CodecPluginNonStandardAudioCapability::H323CodecPluginNonStandardAudioCapability | ( | const PluginCodec_Definition * | codecDefn,
|  | const OpalMediaFormat & | mediaFormat,
|  | H323NonStandardCapabilityInfo::CompareFuncType | compareFunc,
|  | const unsigned char * | data,
|  | unsigned | dataLen |
| ) |  |  |

H323CodecPluginNonStandardAudioCapability::H323CodecPluginNonStandardAudioCapability | ( | const PluginCodec_Definition * | codecDefn,
|  | const OpalMediaFormat & | mediaFormat,
|  | const unsigned char * | data,
|  | unsigned | dataLen |
| ) |  |  |

## Member Function Documentation

virtual PObject* H323CodecPluginNonStandardAudioCapability::Clone | ( |  | ) | const`[virtual]`

virtual PString H323CodecPluginNonStandardAudioCapability::GetFormatName | ( |  | ) | const`[virtual]`

Reimplemented from H323PluginCapabilityInfo.

The documentation for this class was generated from the following file:

- opalpluginmgr.h